Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
rapidjson::EncodedInputStream< UTF8<>, MemoryStream > Class Reference

Specialized for UTF8 MemoryStream. More...

`#include <encodedstream.h>`

## Public Types
typedef UTF8 ::Ch | Ch

## Public Member Functions
| EncodedInputStream (MemoryStream &is)
Ch | Peek () const
Ch | Take ()
size_t | Tell () const
void | Put (Ch)
void | Flush ()
Ch * | PutBegin ()
size_t | PutEnd (Ch *)

## Public Attributes
MemoryStream & | is_

## Detailed Description

Specialized for UTF8 MemoryStream.

The documentation for this class was generated from the following file:

- include/rapidjson/encodedstream.h